<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: ### Qxt qxtglobalshortcut qt5</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">### Qxt qxtglobalshortcut qt5 </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p><a href="http://dev.libqxt.org/libqxt/wiki/Home">Qxt</a> qxtglobalshortcut library qt5 compatibility Tested with qt5.4 on OSX 10.9.2, linux, windows (mingw and msvc)</p>
<p>usage:</p>
<div class="fragment"><div class="line">git clone https://github.com/ddqd/qxtglobalshortcut5.git</div>
</div><!-- fragment --><p>add in ur .pro file: </p><div class="fragment"><div class="line">include(qxtglobalshortcut5/qxt.pri)</div>
</div><!-- fragment --><p>example code: </p><div class="fragment"><div class="line"><span class="preprocessor">#include &lt;QDebug&gt;</span></div>
<div class="line"><span class="preprocessor">#include &quot;<a class="code" href="qxtglobalshortcut_8h.html">qxtglobalshortcut.h</a>&quot;</span></div>
<div class="line">...</div>
<div class="line"> </div>
<div class="line">QxtGlobalShortcut *shortcut = <span class="keyword">new</span> <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>(<span class="keyword">this</span>);</div>
<div class="line">shortcut-&gt;setShortcut(QKeySequence(<span class="stringliteral">&quot;Shift+1&quot;</span>));</div>
<div class="line">connect(shortcut, &amp;<a class="code" href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a>,</div>
<div class="line">    [=]() {qDebug() &lt;&lt; <span class="stringliteral">&quot;shortcut activated&quot;</span>;});</div>
</div><!-- fragment --> </div></div><!-- contents -->
</div><!-- PageDoc -->
<div class="ttc" id="aclassQxtGlobalShortcut_html"><div class="ttname"><a href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a></div><div class="ttdoc">The QxtGlobalShortcut class provides a global shortcut aka &quot;hotkey&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8h_source.html#l00038">qxtglobalshortcut.h:38</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html_ae5048554f63055a79bc708e231cb8818"><div class="ttname"><a href="classQxtGlobalShortcut.html#ae5048554f63055a79bc708e231cb8818">QxtGlobalShortcut::activated</a></div><div class="ttdeci">void activated()</div></div>
<div class="ttc" id="aqxtglobalshortcut_8h_html"><div class="ttname"><a href="qxtglobalshortcut_8h.html">qxtglobalshortcut.h</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
